Bug 1161033 - [RFE] Please provide tincd service initialization files for RHEL/CentOS/Fedora
Summary: [RFE] Please provide tincd service initialization files for RHEL/CentOS/Fedora
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: tinc
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-06 08:36 UTC by Răzvan Sandu
Modified: 2015-02-18 17:06 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-02-14 02:53:44 UTC


Attachments (Terms of Use)

Description Răzvan Sandu 2014-11-06 08:36:26 UTC
Description of problem:


In order to allow tinc to be used on a larger scale on production systems, please provide initscripts and systemd initialization files in the RPM package,
allowing smooth integration in RHEL/CentOS/Fedora and automatic VPN start/stop at boot/shutdown.

An idea of systemd initialization file, for modern Fedora, is present here:

http://leesjohn.wordpress.com/2013/03/13/how-to-automatically-start-tinc-on-fedora-17/

IMHO, on RedHat-based systems, various parameters that are manually configurable
and necessary at initialization time should go in a special /etc/sysconfig/tinc file.


Version-Release number of selected component (if applicable):
tinc-1.0.24-1.el6.x86_64



Thanks a lot,
Răzvan

Comment 1 Peter Meier 2015-01-03 12:42:15 UTC
The systemd files for Fedora work fine, so this file should simply also be pulled into the EL7 branch.

Comment 2 Fedora Update System 2015-01-04 16:21:12 UTC
tinc-1.0.24-6.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/tinc-1.0.24-6.el7

Comment 3 Fedora Update System 2015-01-04 20:05:07 UTC
Package tinc-1.0.24-6.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing tinc-1.0.24-6.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-0036/tinc-1.0.24-6.el7
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-02-14 02:53:44 UTC
tinc-1.0.24-6.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Răzvan Sandu 2015-02-18 17:06:21 UTC
Please, it is possible to also backport this in EPEL6 ?

Thanks,
Răzvan


Note You need to log in before you can comment on or make changes to this bug.